octonet - Segnalazione #920

Octonet su buster (Marcela): "Servizio temporaneamente non disponibile”

11/07/2019 03:30 PM - Claudio Cavalli

Status: Chiuso

Priority: Normale

Assignee: Claudio Cavalli

Category:

Target version:

Start date: 11/07/2019
Due date:

% Done: 0%
Estimated time: 0.00 hour

Description
Ciao Simone.

Testando octonet su marcela ho creato alcuni utenti (quando stavo creando il primo octonet si & impiantato probabilmente perché
stavo aggiornando il client) ma quando provo a cliccare sul pulsante Modifica o anche sul link di un gruppo appare la schermata
con:"Servizio temporaneamente non disponibile”
Guardando nel file di log (/var/log/octofuss/octofussd.log) queste righe corrispondono al momento dell'errore.
2019-11-07T14:31:12+0100 [twisted.python.log#info] 127.0.0.1 - - [07/Nov/2019:13:31:11 +0000]
T /conf/ HTTP/1.1" 200 159 "-" "Python-xmlrpc/3.7"

2019-11-07T14:31:1240100 [twisted.python.log#info] 127.0.0.1 - - [07/Nov/2019:13:31:11 +0000]
T /conf/ HTTP/1.1" 200 140 "-" "Python-xmlrpc/3.7"

2019-11-07T14:31:12+0100 [twisted.python.log#info] 127.0.0.1 - - [07/Nov/2019:13:31:11 +0000]
T /conf/ HTTP/1.1" 200 475 "-" "Python-xmlrpc/3.7"

2019-11-07T14:31:12+0100 [twisted.python.log#info] 127.0.0.1 - - [07/Nov/2019:13:31:11 +0000]
T /conf/ HTTP/1.1" 200 145 "-" "Python-xmlrpc/3.7"

2019-11-07T14:31:12+0100 [twisted.python.log#info] 127.0.0.1 - - [07/Nov/2019:13:31:11 +0000]
T /conf/ HTTP/1.1" 200 826 "-" "Python-xmlrpc/3.7"

2019-11-07T14:31:1240100 [twisted.python.log#info] 127.0.0.1 - - [07/Nov/2019:13:31:11 +0000]
T /conf/ HTTP/1.1" 200 139 "-" "Python-xmlrpc/3.7"

2019-11-07T14:31:12+0100 [twisted.python.log#info] 127.0.0.1 - - [07/Nov/2019:13:31:11 +0000]
T /conf/ HTTP/1.1" 200 139 "-" "Python-xmlrpc/3.7"

2019-11-07T14:31:12+0100 [twisted.python.log#info] 127.0.0.1 - - [07/Nov/2019:13:31:11 +0000]
T /conf/ HTTP/1.1" 200 826 "-" "Python-xmlrpc/3.7"

2019-11-07T14:31:12+0100 [twisted.python.log#info] 127.0.0.1 - - [07/Nov/2019:13:31:11 +0000]
T /conf/ HTTP/1.1" 200 257 "-" "Python-xmlrpc/3.7"

2019-11-07T14:31:1240100 [twisted.python.log#info] 127.0.0.1 - - [07/Nov/2019:13:31:11 +0000]
T /conf/ HTTP/1.1" 200 198 "-" "Python-xmlrpc/3.7"

2019-11-07T14:31:12+0100 [twisted.python.log#info] 127.0.0.1 - - [07/Nov/2019:13:31:11 +0000]
T /conf/ HTTP/1.1" 200 187 "-" "Python-xmlrpc/3.7"

2019-11-07T14:31:12+0100 [twisted.python.log#info] 127.0.0.1 - - [07/Nov/2019:13:31:11 +0000]
T /conf/ HTTP/1.1" 200 143 "-" "Python-xmlrpc/3.7"

2019-11-07T14:31:12+0100 [stderr#error] Traceback (most recent call last):
2019-11-07T14:31:12+0100 [stderrferror] File "/usr/lib/python3/dist-packages/octofuss/xmlrpc.py"
, line 163, in _wrap_call

2019-11-07T14:31:12+0100 [stderr#error] res = callable(*args)

2019-11-07T14:31:12+0100 [stderrt#error] File "/usr/lib/python3/dist-packages/octofuss/tree
line 50, in get

2019-11-07T14:31:12+0100 [stderr#error] return self.lget (_tolist (path), **kw)
2019-11-07T14:31:12+0100 [stderrferror] File "/usr/lib/python3/dist-packages/octofuss/tree
line 226, in lget

2019-11-07T14:31:12+0100 [stderr#error] return tree.lget (path([1l:], **kw)
2019-11-07T14:31:12+0100 [stderr#error] File "/usr/lib/python3/dist-packages/octofuss/tree.
line 226, in lget

2019-11-07T14:31:12+0100 [stderr#error] return tree.lget (path[1l:], **kw)
2019-11-07T14:31:12+0100 [stderr#error] File "/usr/lib/python3/dist-packages/octofuss/tree.
line 226, in lget

2019-11-07T14:31:12+0100 [stderr#error] return tree.lget (path[1l:], **kw)
2019-11-07T14:31:12+0100 [stderr#error] File "/usr/share/octofussd/plugins/quota.py", line
in lget

2019-11-07T14:31:12+0100 [stderr#error] info = self._quota_for_item(path[0])
2019-11-07T14:31:12+0100 [stderrt#error] File "/usr/share/octofussd/plugins/quota.py", line

in _quota_for_item
2019-11-07T14:31:12+0100 [stderr#error] proc = subprocess.Popen ([QUOTATOOL, "-d", self.quotato
olsel, name, self.fs], stdout=subprocess.PIPE)

2019-11-07T14:31:1240100 [stderr#error] File "/usr/lib/python3.7/subprocess.py", line 775, in ___
init_

2019-11-07T14:31:12+0100 [stderr#error] restore_signals, start_new_session)
2019-11-07T14:31:12+0100 [stderr#error] File "/usr/lib/python3.7/subprocess.py", line 1522, in _
execute_child

2019-11-07T14:31:12+0100 [stderr#error] raise child_exception_type (errno_num, err_msg, err_fil
ename)

2019-11-07T14:31:12+0100 [stderr#error] FileNotFoundError: [Errno 2] No such file or directory: '/
usr/sbin/quotatool': '/usr/sbin/quotatool'

2019-11-07T14:31:12+0100 [stdout#info] Exception <class 'FileNotFoundError'> is not whitelisted
2019-11-07T14:31:12+0100 [stdout#info] Exception <class 'OSError'> 1is not whitelisted

2019-11-07T14:31:12+0100 [twisted.python.log#info] 127.0.0.1 - - [07/Nov/2019:13:31:11 +0000] "POS
T /conf/ HTTP/1.1" 200 257 "-" "Python-xmlrpc/3.7"
History

#1 - 11/11/2019 04:56 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Claudio Cavalli

L'eccezione dice che manca quotatool, mi pare che ci sia qualche problema di installazione.

#2 - 11/12/2019 02:55 PM - Claudio Cavalli

- Status changed from Nuovo to Chiuso

Installato:

apt install quotatool

Lanciato:

quotacheck —ugm /home # Vedi guida https://www.tecmint.com/set-filesystem-disk-quotas-on-ubuntu/

Riavviato server
